Bug 481248 - (RFE:wine) Please update wine version
Please update wine version
Status: CLOSED DUPLICATE of bug 491321
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 21:13 EST by Eric Bunton
Modified: 2009-06-09 23:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 23:36:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possible fix for text (73 bytes, application/octet-stream)
2009-01-27 16:38 EST, Eric Bunton
no flags Details

  None (edit)
Description Eric Bunton 2009-01-22 21:13:27 EST
I just wanted to request that the version of wine in the repos be updated to the latest version.
Comment 1 Andreas Bierfert 2009-01-23 17:30:24 EST
Please see https://admin.fedoraproject.org/updates/F9/FEDORA-2009-0510
Comment 2 Eric Bunton 2009-01-27 16:38:07 EST
Created attachment 330159 [details]
Possible fix for text
Comment 3 Eric Bunton 2009-02-02 13:25:13 EST
I know wine 1.1.12 is in testing right now. But there have been more releases of wine since then. Have those been tried to see if the problem is fixed?
Comment 4 Michael Cronenworth 2009-02-04 02:20:35 EST
Andreas, Wine 1.1.14 is released[1].

Wine updates are put out bi-weekly and have have been this way for years. I realize updating the Fedora RPM every two weeks may be asking for a lot, but if we could get /monthly/ updates into Fedora that would be better than the frequency we're getting now (bi-monthly usually). For a time I was compiling my own Wine RPM because it took many months to see a Fedora update.

[1] http://www.winehq.org/news/2009013001
Comment 5 Andreas Bierfert 2009-02-04 11:32:47 EST
I know that updates are pushed out every two weeks. E.g. see my scratch build for 1.1.14 [1] which was done one day after the release.

There are many things to consider when pushing wine updates:

 o Fixing existing bugs
 o Upgrading to new release, testing for new bugs
 o Preparing wine for the next big features

Currently I am really not happy with how I handle the existing bugs and I am trying to change this.

Currently ongoing is the preparation of new big features (aka 64bit wine) which takes some time.

I will push out 1.1.14. for F-{9,10} later today but with a package as big as wine (in terms of its user base) I like to see updates pushed via the carma mechanism and this usually takes some time.

[1] - https://koji.fedoraproject.org/koji/taskinfo?taskID=1096020
Comment 6 Michael Cronenworth 2009-02-04 12:10:36 EST
Ah, it seems scratch builds don't make it to the search results when you search for a package. I searched before posting my comment.

Please don't misunderstand me, I didn't want to sound harsh. I realize that Wine can easily break things that have been working for years.

I [mooninite] will be sure to pull wine from updates-testing and leave karma. Thanks.
Comment 7 Michael Cronenworth 2009-05-13 11:31:18 EDT
Here we are again.

fedora-updates: 1.1.15 (Feb-13-2009)
fedora-updates-testing: 1.1.18 (Mar-27-2009)
Upstream: 1.1.21 (May-8-2009)

I noticed you built a F12 (rawhide) 1.1.21 package. Why not for F11 and F10?

1.1.18 has been in updates-testing for over a month. That's way too long.

Is Wine too hard of a package to keep up-to-date?
Comment 8 Bug Zapper 2009-06-09 23:30:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Michael Cronenworth 2009-06-09 23:36:31 EDT
Let's consolidate the wine update request bugs, shall we?

*** This bug has been marked as a duplicate of bug 491321 ***

Note You need to log in before you can comment on or make changes to this bug.